/*
    SNEWS 2.0

    expire private decls


    Copyright (C) 1991  John McCombs, Christchurch, NEW ZEALAND
                        john@ahuriri.gen.nz
                        PO Box 2708, Christchurch, NEW ZEALAND

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 1, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    See the file COPYING, which contains a copy of the GNU General
    Public License.

 */
/*---------------------------- Source Control ------------------------------*/

/*
 * $Id: EXPIRE.H,v 1.2 1994/02/05 18:44:34 gbj Exp user $
 */

/**************************************************************************
*   01 Jun 93   1.1    MSM  Header added                                  *
*                           Snews 2.0                                     *
***************************************************************************/

void crash(char *msg, char *fn);

void expire_history(long current, long secs);

int read_expire(char*, long*, char*);

int load_expire(void);

void exp_free(void);

void nntp_tail(long);

void nntp_copy(void);

typedef struct exp_data {
	char group[80];
	int  flag;
	int  days;
	char archive[65];
	struct exp_data *next;
} EXP_DATA;
