/***************************************************************************
 *                                                                         *
 * REINDEX.H - Reindex an snews news group article file                    *
 *                                                                         *
 *    Written by M.S. Muir September 1992                                  *
 *                                                                         *
 *                                                                         *
 *    EMAIL: malcolm@muir.demon.co.uk                                      *
 *                                                                         *
 *  Released into the public domain in the hope that someone may find it   *
 *  to be of use.                                                          *
 *                                                                         *
 *  Note however that there is NO WARRANTY WHATSOEVER not even an implied  *
 *  warranty of merchantability or fitness for any particular purpose.     *
 *                                                                         *
 *  This programme may be freely copied and/or modified and/or distributed *
 *  under the terms of the GNI General Public Licence, version 1 as        *
 *  published by the Free Software Foundation.                             *
 *                                                                         *
 ***************************************************************************/

/*
 * Source Code Control...
 *
 * $Id: REINDEX.H,v 1.2 1994/02/05 18:45:50 gbj Exp user $
 *
 */

/*---------------------------- includes ------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <conio.h>
#include <ctype.h>
#include <string.h>

/*----------------------------- defines ------------------------------------*/

#define PAGE_LENGTH         (scr_rows - 6)
#define PAGE_HEADER         4

#define ENTER               0x0d
#define ESCAPE              0x1b
#define TAB                 0x09
#define BACKSP              0x08

#define EX_DONE             1
#define EX_QUIT             2
#define EX_SAVE             3
#define EX_NEXT             4
#define EX_PREV             5
#define EX_NEXT_UNREAD      6
#define EX_ROT13            7
#define EX_DUMMY            8
#define	EX_NOTREAD	    128

#define  UP_ARR             'H'
#define  DN_ARR             'P'
#define  LT_ARR             'K'
#define  RT_ARR             'M'
#define  PGUP               'I'
#define  PGDN               'Q'
#define  HOME               'G'
#define  END                'O'


/*---------------------------- prototypes ----------------------------------*/

void            do_index(ACTIVE *);
void            do_active(ACTIVE *);
void            summary(ACTIVE *);
char           *select_group(ACTIVE *head, ACTIVE *current);
void            show_groups(ACTIVE **top, ACTIVE *this_group, int force, ACTIVE *head);
void            command(char* msg);

