/*
    SNEWS 2.0

    Unbatch private decls


    Copyright (C) 1991  John McCombs, Christchurch, NEW ZEALAND
                        john@ahuriri.gen.nz
                        PO Box 2708, Christchurch, NEW ZEALAND

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 1, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    See the file COPYING, which contains a copy of the GNU General
    Public License.

 */

/*---------------------------- Source Control ------------------------------*/

/*
 * $Id: UNBATCH.H,v 1.2 1994/02/05 18:45:50 gbj Exp user $
 */

/**************************************************************************
*   01 Jun 93   1.1    MSM  Header added                                  *
*                           Snews 2.0                                     *
***************************************************************************/

/*------------------------------ defines ---------------------------------*/

#define COMPRESS 0x9D1F
#define FREEZE   0x9F1F

/*------------------------------- types ----------------------------------*/

typedef struct new_group {
    char name[80];
    int answer;
    struct new_group *next;
    } NEW_GROUP;

/*----------------------------- prototypes --------------------------------*/
FILE            *decode_batches(char *fn, int no_toss);
void             toss(FILE *tmp_file);
void             remcr(char *buf);
void             filter(char *buf);
void             proc_new(char *, int t);
int              addnew(char *p);
void             listnew(int t);
void             addem(void);
void             freeadd(void);
FILE            *tmp_fopen(char*, char*);
int              tmp_unlink(char*);
void             end_stats(void);
